package by.zerg.pschallengesutil.jna;

import static by.zerg.pschallengesutil.jna.User32Extra.*;
import static by.zerg.pschallengesutil.model.Config.*;

import org.apache.log4j.Logger;

import com.sun.jna.Pointer;

public class JNAHelper {
	private static final Logger LOG = Logger.getLogger(JNAHelper.class);

	public static void closeChallengesWindow() {
		HWND challengesHwnd = null;
		if (LOG.isDebugEnabled()) {
			LOG.debug("Getting challenges window handle...");
		}
		while ((challengesHwnd = INSTANCE.FindWindow(WND_CLASS, WND_TITLE)) == null)
			;
		if (LOG.isDebugEnabled()) {
			LOG.debug("Challenges window handle is "
					+ String.format("0x%x",
							Pointer.nativeValue(challengesHwnd.getPointer())));
		}
		// INSTANCE.CloseWindow(challengesHwnd);
		INSTANCE.PostMessage(challengesHwnd, WM_CLOSE, new WPARAM(0),
				new LPARAM(0));
	}
}
