package by.zerg.pschallengesutil.model;

import java.io.FileInputStream;
import java.util.Properties;

import org.apache.log4j.Logger;

public class Config {
	private static final Logger LOG = Logger.getLogger(Config.class);

	public static String STATS_LOG;
	public static String LINK_PREFIX;
	public static boolean AUTO_CLOSE;
	public static String WND_CLASS;
	public static String WND_TITLE;
	public static int IDLE_TIME;

	static {
		if (LOG.isDebugEnabled()) {
			LOG.debug("Loading config...");
		}
		try {
			Properties props = new Properties();
			props.load(new FileInputStream("conf\\config.properties"));
			STATS_LOG = props.getProperty("stars.log");
			LINK_PREFIX = props.getProperty("link.prefix");
			AUTO_CLOSE = Boolean.parseBoolean(props.getProperty("auto.close"));
			WND_CLASS = props.getProperty("wnd.class");
			WND_TITLE = props.getProperty("wnd.title");
			IDLE_TIME = Integer.parseInt(props.getProperty("idle.time"));
		} catch (Throwable t) {
			LOG.error("Config loading error!", t);
			System.exit(1);
		}
		if (LOG.isDebugEnabled()) {
			LOG.debug("Config successfully loaded");
		}
	}
}
